> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Customer Checkout Settings

> Modifies existing customer checkout settings. When a shopper starts the process of checking out,the Checkout Service checks these settings to render the checkout page.This is where you can specify whether shoppers must be logged in 'LoginRequired' or not 'LoginOptional' to checkout. You can also update your own customer checkout requirements, for example, to add a tracking code.



## OpenAPI

````yaml /openapi/openapi_settings.json put /commerce/settings/checkout/customercheckoutsettings
openapi: 3.0.1
info:
  description: |-
    <div id="overview_SETTINGS">
                <h2>SITE SETTINGS</h2>
                <p>The Site Settings APIs are a collection of resources used to manage settings for sites, checkout, installed applications, locations,
                    shipping, and general settings for a site. For more information about site settings and the associated configurations in the Unified Commerce Admin
                    interface, see the <a href="/pages/system">Settings user guides</a>.</p>
                <p>Use the <strong>Cart</strong> resource to manage settings for the cart, such as whether to include handling fees in the
                    cost calculations.</p>
                <p>Use the <strong>Checkout Settings</strong> resource to specify the site-wide settings that define checkout and order
                    processing behavior. This resource includes subresources for payment settings, customer checkout
                    settings, and order processing settings.</p>
                <p>Use the <strong>Fulfillment Settings</strong> resource to define site-wide fulfillment options such as the default
                    backorder duration, rejection actions, and BPM configurations.</p>
                <p>Use the <strong>General Settings</strong> resource to define global site settings such as the site name, shipping and
                    email addresses, and logo images. You can block undesirable IP addresses using this resource as well as
                    configure <a href="/pages/custom-route-settings">custom
                        routes</a>.</p>
                <p>Use the <strong>Inventory Settings</strong> resource to enable or disable inventory jobs and set a preferred time of day
                    for the jobs to run at.</p>
                <p>Use the <strong>Return Settings</strong> resource to specify the default return options for processing fees, shipping
                    locations, and label generation.</p>
                <p>Use the <strong>Shipping</strong> resource to manage settings for the site shipping information, such as origin address
                    information, carrier shipping methods, shipping rate providers, and regions available for shipping.</p>
            </div>
  title: Site Settings
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/settings/checkout/customercheckoutsettings:
    put:
      tags:
        - CheckoutSettings
      summary: Update Customer Checkout Settings
      description: >-
        Modifies existing customer checkout settings. When a shopper starts the
        process of checking out,the Checkout Service checks these settings to
        render the checkout page.This is where you can specify whether shoppers
        must be logged in 'LoginRequired' or not 'LoginOptional' to checkout.
        You can also update your own customer checkout requirements, for
        example, to add a tracking code.
      parameters:
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CustomerCheckoutSettings'
        description: Properties of the customer checkout settings to update.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerCheckoutSettings'
            text/json:
              schema:
                $ref: '#/components/schemas/CustomerCheckoutSettings'
            text/plain:
              schema:
                $ref: '#/components/schemas/CustomerCheckoutSettings'
          description: OK
components:
  schemas:
    CustomerCheckoutSettings:
      description: >-
        Checkout requirements for customers, for example, whether they must
        login before purchasing from your store. 

        Other customized checkout requirements can be defined.
      properties:
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        customerCheckoutType:
          description: >-
            Checkout login setting. Value can be either "LoginOptional," where
            shoppers are prompted to sign in

            but are not required to do so, or "LoginRequired," where shopppers
            must login before purchasing.
          nullable: true
          type: string
      type: object
    AdminUserAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````